package com.uas.search.console.b2b.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * 消息主表
 */
@Table(name = "purc$pagingrelease")
@Entity
public class PagingReleaseSimpleInfo {

	@Id
	@Column(name = "pr_id")
	private Long id;

	/**
	 * 员工UU
	 */
	@Column(name = "pr_emuu")
	private Long emUU;

	/**
	 * 员工名称
	 */
	@Column(name = "pr_emname")
	private String emName;

	/**
	 * 日期
	 */
	@Column(name = "pr_date")
	private Date date;

	/**
	 * 消息正文
	 */
	@Column(name = "pr_context")
	private String context;

	/**
	 * 来源
	 */
	@Column(name = "pr_from")
	private String from;

	/**
	 * 单号
	 */
	@Column(name = "pr_codevalue")
	private String code;

	/**
	 * 标题
	 */
	@Column(name = "pr_title")
	private String title;

	/**
	 * 类型
	 */
	@Column(name = "pr_type")
	private String type;

	/**
	 * 所属企业
	 */
	@OneToOne
	@JoinColumn(name = "pr_enuu", insertable = false, updatable = false)
	private EnterpriseSimpleInfo vend;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getEmUU() {
		return emUU;
	}

	public void setEmUU(Long emUU) {
		this.emUU = emUU;
	}

	public String getEmName() {
		return emName;
	}

	public void setEmName(String emName) {
		this.emName = emName;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getContext() {
		return context;
	}

	public void setContext(String context) {
		this.context = context;
	}

	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public EnterpriseSimpleInfo getVend() {
		return vend;
	}

	public void setVend(EnterpriseSimpleInfo vend) {
		this.vend = vend;
	}

	@Override
	public String toString() {
		return "PagingReleaseSimpleInfo [id=" + id + ", emUU=" + emUU + ", emName=" + emName + ", date=" + date
				+ ", context=" + context + ", from=" + from + ", code=" + code + ", title=" + title + ", type=" + type
				+ ", vend=" + vend + "]";
	}

}
